package xyz.lychee.lagfixer.libs.adventure.util;

import java.util.Set;
import xyz.lychee.lagfixer.libs.annotations.NotNull;
import xyz.lychee.lagfixer.libs.annotations.ApiStatus.ScheduledForRemoval;

public final class ShadyPines {
   private ShadyPines() {
   }

   /** @deprecated */
   @Deprecated
   @SafeVarargs
   @ScheduledForRemoval(
      inVersion = "5.0.0"
   )
   public static <E extends Enum<E>> @NotNull Set<E> enumSet(final Class<E> type, final @NotNull E... constants) {
      return MonkeyBars.enumSet(type, constants);
   }

   public static boolean equals(final double a, final double b) {
      return Double.doubleToLongBits(a) == Double.doubleToLongBits(b);
   }

   public static boolean equals(final float a, final float b) {
      return Float.floatToIntBits(a) == Float.floatToIntBits(b);
   }
}
